Get a list of StatIDs

GET
/stats/
apiKey<token>

Your API key

In: query

Query Parameters

statID?string

StatID to get data for

sportID?string

SportID to get StatIDs for

statLevel?string

Level of the stat, must be used in combination with sportID. Must be one of all, player, or team. Shows stats that are applicable to that specified entity, defaults to all.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.sportsgameodds.com/v2/stats/?statID=POINTS&sportID=BASKETBALL&statLevel=team"
{
  "success": true,
  "data": [
    {
      "type": "number",
      "statID": "batting_homeRuns",
      "supportedLevels": {
        "all": true,
        "team": true,
        "player": true
      },
      "displays": {
        "short": "HRs",
        "long": "Home Runs"
      },
      "description": "Home runs",
      "supportedSports": {
        "BASEBALL": "Home Runs"
      }
    }
  ]
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}
{
  "error": "An error message",
  "success": false
}